package cv10;

import java.io.*;

public class Pocitac {
	
	public static void main(String[] args) {
		
		String inputFileName;
		if (args.length > 0)
			inputFileName = args[0];
		else {
			System.out.println("Zadejte jmeno vstupniho souboru:");
			try {
				InputStreamReader cr = new InputStreamReader(System.in);
				BufferedReader bcr = new BufferedReader(cr);
				inputFileName = bcr.readLine();
				bcr.close();
				cr.close();
			}
			catch (IOException e) {
				System.err.println("Chyba pri cteni.");
				return;
			}
		}
		
		FileReader fileIn = null;
		FileWriter fileOut = null;
		
		try {
			fileIn = new FileReader(inputFileName);
			fileOut = new FileWriter(inputFileName + ".log");
		}
		catch (FileNotFoundException e) {
			System.err.println("Vstupni soubor se nepodarilo otevrit.");
			return;
		}
		catch (IOException e) {
			System.err.println("Vystupni soubor se nepodarilo otevrit.");
			return;
		}
		
		BufferedReader buffFileIn = new BufferedReader(fileIn);
		
		try {
			String s;
			while ((s = buffFileIn.readLine()) != null) {
				String pocty = spocitej(s);
				fileOut.write(pocty + "\n");
			}
		}
		catch (IOException e) {
			System.err.println("Chyba pri cteni/zapisu.");
		}
		finally {
			try {
				fileOut.close();
				buffFileIn.close();
				fileIn.close();
			}
			catch (IOException e) {
				// co se da delat
			}
		}
	}
	
	
	
	private static String spocitej(String s) {
		
		int mala = 0, velka = 0, cisla = 0, spec = 0;
		
		for (int i = 0; i < s.length(); i++) {
			
			char c = s.charAt(i);
				
			if (c < '0')
				spec++;
			else if (c <= '9')
				cisla++;
			else if (c < 'A')
				spec++;
			else if (c <= 'Z')
				velka++;
			else if (c < 'a')
				spec++;
			else if (c <= 'z')
				mala++;
			else
				spec++;
		}
		
		return String.format("Mala pismena: %1$d\nVelka pismena: %2$d\n" +
				"Cislice: %3$d\nSpecialni znaky %4$d", mala, velka, cisla, spec);
	}
}
